#include "inc/MachineImpl.h"
#include "inc/DieselMotor.h"
#include "inc/ElectrischeMotor.h"
#include "inc/TsensorImpl.h"
#include "inc/UI.h"

int main (){
    TsensorImpl* t1 = new TsensorImpl();
    TsensorImpl* t2 = new TsensorImpl();

    DieselMotor* diesel = new DieselMotor(t1);
    ElectrischeMotor* elec = new ElectrischeMotor(t2);

    UI* interface1 = new UI(t1);
    UI* interface2 = new UI(t2);

    MachineImpl* machine = new MachineImpl(diesel, elec);

    machine->run();
    machine->halt();
    return 0;
}